package cn.ibizlab.assetmanagement.core.location.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.location.domain.EAMLocation;
/**
 * 关系型数据实体[EAMLocation] 查询条件对象
 */
@Slf4j
@Data
public class EAMLocationSearchContext extends QueryWrapperContext<EAMLocation> {

	private String n_eamlocationname_like;//[功能位置名称]
	public void setN_eamlocationname_like(String n_eamlocationname_like) {
        this.n_eamlocationname_like = n_eamlocationname_like;
        if(!ObjectUtils.isEmpty(this.n_eamlocationname_like)){
            this.getSearchCond().like("eamlocationname", n_eamlocationname_like);
        }
    }
	private String n_eamlocationtypeid_eq;//[功能位置类型标识]
	public void setN_eamlocationtypeid_eq(String n_eamlocationtypeid_eq) {
        this.n_eamlocationtypeid_eq = n_eamlocationtypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationtypeid_eq)){
            this.getSearchCond().eq("eamlocationtypeid", n_eamlocationtypeid_eq);
        }
    }
	private String n_peamlocationid_eq;//[上级功能位置标识]
	public void setN_peamlocationid_eq(String n_peamlocationid_eq) {
        this.n_peamlocationid_eq = n_peamlocationid_eq;
        if(!ObjectUtils.isEmpty(this.n_peamlocationid_eq)){
            this.getSearchCond().eq("peamlocationid", n_peamlocationid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamlocationname", query)   
            );
		 }
	}
}



